# $Revision: 1.9 $, $Date: 2011/11/28 09:21:46 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Net
%define	pnam	CIDR
Summary:	Net::CIDR - manipulate IPv4/IPv6 netblocks in CIDR notation
Summary(pl.UTF-8):	Net::CIDR - przetwarzanie bloków sieci IPv4/IPv6 w notacji CIDR
Name:		perl-Net-CIDR
Version:	0.14
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	52081c62fe551a205127025c09698ec5
URL:		http://search.cpan.org/dist/Net-CIDR/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Net::CIDR package contains functions that manipulate lists of IP
netblocks expressed in CIDR notation. The Net::CIDR functions handle
both IPv4 and IPv6 addresses.

%description -l pl.UTF-8
Pakiet Net::CIDR zawiera funkcje przetwarzające listy bloków sieci IP
zapisanych w notacji CIDR. Funkcje Net::CIDR obsługują adresy IPv4 i
IPv6.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Net/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-CIDR.spec,v $
Revision 1.9  2011/11/28 09:21:46  arekm
- up to 0.14

Revision 1.8  2009/08/27 09:39:49  amateja
- updated to 0.13

Revision 1.7  2007/02/13 07:47:13  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:42  baggins
- converted to UTF-8

Revision 1.5  2006/11/09 20:32:06  glen
- 0.11, add generic URL

Revision 1.4  2005/06/19 00:07:53  glen
- rel 1

Revision 1.3  2005/06/11 07:18:12  ankry
- cosmetics

Revision 1.2  2005/06/11 07:04:23  qboosh
- pl

Revision 1.1  2005/06/08 10:30:31  glen
- created using cpan2rpm and pldspan
